#!/usr/local/bin/perl
#
#Part of Slurm::Scontrol: Perl wrapper for Slurm's scontrol cmd
#For hostname 

package Slurm::Scontrol::Hostname;

use Slurm::Scontrol;
use strict;
use warnings;
use Carp qw(carp croak);

#-------------------------------------------------------------------
#	Globals
#-------------------------------------------------------------------

#-------------------------------------------------------------------
#	Accessors
#-------------------------------------------------------------------

#none

#-------------------------------------------------------------------
#	Constructors, etc
#-------------------------------------------------------------------

#none

#-------------------------------------------------------------------
#	Special class methods
#-------------------------------------------------------------------

sub scontrol_show($$;$)
#Does scontrol show hostname $hostlist
#On success, returns a listref of strings representing hostnames
#On error, a true but non-ref error string
{	my $class = shift;
	my $scontrol = shift;
	my $hostlist_string = shift;

	my @cmd = qw(show hostname);
	push @cmd, $hostlist_string if $hostlist_string;

	my $results = $scontrol->run_generic_safe_scontrol_cmd(@cmd);
	return $results;
}


1;
__END__

=head1 NAME

Slurm::Scontrol::Node

=head1 SYNOPSIS

  use Slurm::Scontrol::Node;
  use Slurm::Scontrol;

  my $scontrol = new Slurm::Scontrol;
  my $nodes = $scontrol->show_node;

  foreach my $node (@$nodes)
  {	print $node->NodeName, " has ", $node->CPUTot, " cores\n";
  }

  ...


=head1 DESCRIPTION

Represents a Node entity in Slurm::Scontrol


