
/* Associates users to projects:
	if is_member, user is a member of project.
	If is_poc set, user is a point-of-contact for the project.
	if is_coordinator set, user is a coordinator for the project

	Sort of pointless to have a record with all of the above false,
	but allow it for now so can add pocs w/out making members, etc.
*/

CREATE TABLE person_project_m2m
(	ppl_pkey integer NOT NULL,
	prj_pkey integer NOT NULL,

	is_member boolean, /* True if has access to the allocations */
	is_poc boolean, /* True if is a Point-of-contact for project */
	is_coordinator boolean, /* True if is coordinator for project */

        created timestamp NOT NULL,
        lastupdated timestamp NOT NULL, /* Last action re this entry */
	FOREIGN KEY (ppl_pkey) REFERENCES hpcc_shared.person(ppl_pkey),
	FOREIGN KEY (prj_pkey) REFERENCES project(prj_pkey),
	PRIMARY KEY (ppl_pkey, prj_pkey)
);


	
	
