
CREATE TABLE project
(	prj_pkey SERIAL PRIMARY KEY,
	name varchar(50) UNIQUE NOT NULL,
	description varchar(255),
	unixgroup varchar(50),
	parent integer REFERENCES project(prj_pkey),
	department integer REFERENCES hpcc_shared.department(dept_pkey)
		NOT NULL,

	projtype integer NOT NULL REFERENCES hpcc_shared.project_type(pkey),
	su double precision, /* Allocation in SU.  This is now AFTER TAX */
	active boolean DEFAULT true, 

	created timestamp NOT NULL, 
	lastupdated timestamp NOT NULL, /* Last action re alloc amt, etc */
	expiration timestamp NOT NULL,

	/* usage alert thresholds */
	/* For coop types, alert if percent of allocation used in month/quarter 
	   is over/under X pct points from fraction of mon/quarter past
           If NULL, use default.  Set to over 100 to effectively disable checks
        */
	thrhld_pct_over float, 
	thrhld_pct_under float

);

