--
-- Create various roles

-- hpcc_admin: Full r/w access to all hpcc tables.  E.g. kevin, jtl, payerle
create role hpcc_admin;

-- hpcc_deamon: For daemon, cron processes, etc.  Almost full access
create role hpcc_daemon;

-- hpcc_mgr: Basically read-only access to all hpcc tables.  Eg. Fran
-- 	and maybe AAC
create role hpcc_mgr;

-- hpcc_user: Given to all users of system.  Get access to restricted
--	views so can see stuff related to projects they are in.
create role hpcc_user;

-- hpcc_helpdesk: Given to hpccdb_helpdesk/LOGINNODE, used
-- 	by helpdesk staff via sudo/pagsh scripts.
create role hpcc_helpdesk;

grant usage on schema hpcc_shared to hpcc_admin;
grant usage on schema hpcc_shared to hpcc_daemon;
grant usage on schema hpcc_shared to hpcc_mgr;
grant usage on schema hpcc_shared to hpcc_user;
grant usage on schema hpcc_shared to hpcc_helpdesk;

grant usage on schema hpcc_dt to hpcc_admin;
grant usage on schema hpcc_dt to hpcc_daemon;
grant usage on schema hpcc_dt to hpcc_mgr;
grant usage on schema hpcc_dt to hpcc_user;
grant usage on schema hpcc_dt to hpcc_helpdesk;

grant usage on schema hpcc_dt2 to hpcc_admin;
grant usage on schema hpcc_dt2 to hpcc_daemon;
grant usage on schema hpcc_dt2 to hpcc_mgr;
grant usage on schema hpcc_dt2 to hpcc_user;
grant usage on schema hpcc_dt2 to hpcc_helpdesk;

