
/* DO NOT USE ANY FOREIGN KEY REFS in the last_mail table.
   Otherwise, we get into problems with deleting users/projects

   Just give names of the project, etc.  This is for humans to read
   anyway, and still searchable.
*/

CREATE TABLE hpcc_shared.last_email
(	lmail_pkey SERIAL PRIMARY KEY,

	username varchar(20) NOT NULL, /* Person mail sent to */
	cluster  varchar(50) NOT NULL, /* Cluster project/account on */
	project  varchar(50) NOT NULL, /* Project email sent  about */
	account  varchar(50) NOT NULL, /* Account email sent  about */

	mailcode varchar(50) NOT NULL, /* code for type of mail sent */

	time TIMESTAMP NOT NULL, /* Time of last email */

	description varchar(255), /*Decription of last email */

	UNIQUE (username, cluster, project, account, mailcode)
);


