
/* DO NOT USE ANY FOREIGN KEY REFS in the log table.
   Otherwise, we get into problems with log messages for project foo
   when we want to delete project foo.

   Just give names of the project, etc.  This is for humans to read
   anyway, and still searchable.
*/

CREATE TABLE hpcc_shared.log
(	log_pkey SERIAL PRIMARY KEY,

	/* Who made the change */
	username varchar(20) NOT NULL, /* User making the change */
	program varchar(120) NOT NULL, /* Program making the change */
	hostname varchar(255) NOT NULL, /* system change made from */

	/* When was the change */
	time TIMESTAMP NOT NULL, /* Time of change */

	/* Why the change */
	reason varchar(255), /* Optional comment re change */

	/* What changed */
	action_code varchar(50) NOT NULL,
	project varchar(50),
	cluster varchar(50),
	account varchar(50),
	person varchar(50), /* For POC changes, etc, the poc username */
	tablename  varchar(255), /* Table effected */
	fieldname  varchar(255), /* Field in table */
	oldval varchar(255), 
		/* Val of table.field b4 change.  Txt so can be non-numeric */
	newval varchar(255), /* Value after change */

	description varchar(255) NOT NULL /*Decription of change */
);


