/* Describes the attributes differentiating the
   various types of projects.
*/

CREATE TABLE hpcc_shared.project_type
(       pkey SERIAL PRIMARY KEY,
	name varchar(50) NOT NULL, 
        description varchar(255) NOT NULL,

	/* auto_replenishes: True if account auto-replenishes */
        auto_replenishes boolean, 

	/* has_normal_priority: True if get normal priority account */
        has_normal_priority boolean,  

	/* has_high_priority:  True if get high priority account */
        has_high_priority boolean,  

	/* has_special_partition:  True has its own special partition */
        has_special_partition boolean,  

	/* can_use_scavenger_q: True if can submit jobs to scavenger part */
	can_use_scavenger_q boolean,

	/* can_use_debug_q: True if can submit jobs to debug part */
	can_use_debug_q boolean,

	/* Number of days for default expiration of this type */
	default_expiry_days integer NOT NULL,

	/* Is an unix group required */
	requires_unix_group boolean,

	/* Can this project have members (no for org-units) */
	can_have_members boolean,

	/* Tag describing types of QoSes available on main accounts.  */
	/* Fed to HPC cluster specific get_qos_list($tag) */
        qos_tag varchar(255),

	/* If true, the account is metered, and must have a GrpCPUMins limit*/
	is_metered boolean,

	UNIQUE (name)
);


	
	
	
